Subject: bug#13479: Cross Compiling for ARM

From: Ross Biro <[email-masked]>
Date: Fri, 18 Jan 2013 17:09:36 -0500

I haven't investigated.  But because protecting those calls by if
(initialized) and even moving the lisp->C binding for
window_root_window_resize_vertically to after initialization didn't help, I
suspect the issue might be deeper than just protecting C calls to lisp.  I
really don't know how to follow up though.

    Ross

On Fri, Jan 18, 2013 at 12:55 PM, martin rudalics <[email-masked]> wrote:

> > Most/all calls to Elisp from C should protect themselves with calls to
> > Ffboundp or similar, indeed.  Martin, could you take care of that?
>
> I'm not sure.  If most/all calls should be protected we'd better provide
> call_[1-4]_safe function for this purpose.  But I haven't the slightest
> idea of what might happen when some of these functions don't get called.
>
> martin
>